DCMTK: ToXMLStringTool Struct Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
ToXMLStringTool Struct Reference
The XML parser » Helper class to create XML files using "printf", "fprintf", "cout",... functions.

Helper class to create XML files using "printf", "fprintf", "cout",... functions. More...

## Public Member Functions
void | freeBuffer ()
| call this function when you have finished using this object to release memory used by the internal buffer.
XMLSTR | toXML (XMLCSTR source)
| returns a pointer to an internal buffer that contains a XML-encoded string based on the "source" parameter.

## Static Public Member Functions
static XMLSTR | toXMLUnSafe (XMLSTR dest, XMLCSTR source)
| The "toXMLUnSafe" function is deprecated because there is a possibility of "destination-buffer-overflow".
static int | lengthXMLString (XMLCSTR source)
| deprecated: use "toXML" instead

## Detailed Description

Helper class to create XML files using "printf", "fprintf", "cout",... functions.

The ToXMLStringTool class helps you creating XML files using "printf", "fprintf", "cout",... functions. The "ToXMLStringTool" class is processing strings so that all the characters &,",',<,> are replaced by their XML equivalent: @verbatim &amp;, &quot;, &apos;, &lt;, &gt; \endverbatim Using the "ToXMLStringTool class" and the "fprintf function" is THE most efficient way to produce VERY large XML documents VERY fast. \note If you are creating from scratch an XML file using the provided XMLNode class you must not use the "ToXMLStringTool" class (because the "XMLNode" class does the processing job for you during rendering).

## Member Function Documentation

## ◆ toXMLUnSafe()

XMLSTR ToXMLStringTool::toXMLUnSafe | ( | XMLSTR | dest,
|  | XMLCSTR | source )
| static

The "toXMLUnSafe" function is deprecated because there is a possibility of "destination-buffer-overflow".

It converts the string "source" to the string "dest". deprecated: use "toXML" instead

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofxml.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1